<template>
    <el-dialog
            :title="title"
            :visible.sync="centerDialogVisible"
            width="30%"
            :modal="false"
            center>
        <slot></slot>
    </el-dialog>
</template>
<script>
// import '@/assets/css/map/map-popup.scss'

export default {
  name: 'Dialog',
  props: {
    title: {
      type: String,
      default: '标题'
    }
  },
  data () {
    return {
      centerDialogVisible: false
    }
  },
  methods: {
    show () {
      this.centerDialogVisible = true
    }
  }
}

</script>
<style lang="less">

</style>
